## org.jgroups.blocks
Class VoteException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jgroups.ChannelException
                  org.jgroups.blocks.VoteException

All Implemented Interfaces:
  java.io.Serializable

    public class VoteException

extends ChannelException

This exception is thrown when voting listener cannot vote on the specified decree.

Author:
  Roman Rokytskyy (rrokytskyy@acm.org)
See Also:
  Serialized Form

Constructor Summary
`VoteException(java.lang.String msg)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VoteException

    public VoteException(java.lang.String msg)

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.